WebServiceBook/Controllers/MainController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebServiceBook.Models;
using WebServiceBook.ViewModels;

namespace WebServiceBook.Controllers
{
    public class MainController : Controller
    {
        public ActionResult Index()
        {
            VehicleBusinessLayer businessL = new VehicleBusinessLayer();
            List<Vehicle> list = new List<Vehicle>();
            list = businessL.GetVehicles();
            List<VehicleViewModel> listViewModel = new List<VehicleViewModel>();

            foreach (Vehicle vehicle in list)
            {
                VehicleViewModel vehicleVM = new VehicleViewModel();
                vehicleVM.Name = "Jmeno: " + vehicle.Name;
                vehicleVM.Type = "Typ: " + vehicle.Type;
                vehicleVM.VehicleID = vehicle.VehicleID;

                listViewModel.Add(vehicleVM);
            }

            VehicleListViewModel clvm = new VehicleListViewModel();
            clvm.ListOfVehicles = listViewModel;

            return View("Index", clvm);
        }

        public ActionResult AddNew()
        {
            return View("CreateVehicle");
        }

        public ActionResult SaveVehicle(Vehicle vehicle)
        {
            VehicleBusinessLayer saver = new VehicleBusinessLayer();
            saver.SaveVehicle(vehicle);
            return RedirectToAction("Index");
        }
    }
}

WebServiceBook/Views/Main/CreateVehicle.cshtml
@{
    Layout = null;
}
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Create Vehicle</title>
</head>
<body>
    <div>
        <form action="/Main/SaveVehicle" method="post">
            Name: <input type="text" id="TxtName" name="Name" value="" /><br />
            Type: <input type="text" id="TxtType" name="Type" value="" /><br />
            <input type="submit" name="BtnSubmit" value="Save Car" />
            <input type="button" name="BtnReset" value="Reset" onclick="ResetForm();" />
            <input type="button" name="BtnSubmit" value="Cancel" onclick="location.href='@Url.Action("Index", "Main")'" />
        </form>
    </div>
</body>
</html>

<script>
    function ResetForm() {
        document.getElementById('TxtName').value = "";
        document.getElementById('TxtType').value = "";
    }
</script>

WebServiceBook/Views/Main/Index.cshtml
@using WebServiceBook.ViewModels
@{
    Layout = null;
}

@model VehicleListViewModel

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Get vehicle</title>
</head>
<body>
    @{
        Html.RenderPartial("Menu");
    }
    <div> 
        <h3 style="text-align: center">Vozidla:</h3>
        <table border="1" style="margin: auto">
            <tr>
                <td>
                    <b>Název:</b>
                </td>
                <td>
                    <b>Typ:</b>
                </td>
            </tr>
        @foreach(var vehicle in Model.ListOfVehicles)
        {
           <tr>
               <td>
                   @vehicle.Name
               </td>
               <td>
                   @vehicle.Type
               </td>
               <td>
                   @Html.ActionLink("Records", "ShowRecords", "Records", new { id = vehicle.VehicleID }, null)
               </td>
               <td>
                   @Html.ActionLink("Update", "UpdateVehicleForm", "Update", new { id = vehicle.VehicleID }, null)
               </td>
               <td>
                   @Html.ActionLink("Delete", "DeleteMessage", "Delete", new { id = vehicle.VehicleID }, null)
               </td>
           </tr>
        }
            </table>
    </div>

    @{
        Html.RenderPartial("Footer");
    }
</body>
</html>